from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.lang import XComponent

@runtime_checkable
class XFormOperations(XComponent, Protocol):
    def getState(self, Feature: int) -> FeatureState: ...
    def isEnabled(self, Feature: int) -> bool: ...
